(function ($) {

  Drupal.behaviors.gdprTagManager = {
    attach: function (context, settings) {
      var gs = settings.gdpr_tag_manager;
      $(document, context).scroll(function () {
        var scrollBottom = $(window).scrollTop() + $(window).height();
        if (window.scrollY !== 0 && $.cookie('cookieconsent_status') !== 'dismiss') {
          scrollBottom > gs.pop_up_scroll ? $('.cc-window').fadeOut() : $('.cc-window').fadeIn();
        }
      });
      var re = new RegExp("/bot|uptimerobot|google|baidu|bing|msn|duckduckbot|teoma|slurp|googlebot\/|Googlebot-Mobile|Googlebot-Image|Google favicon|Mediapartners-Google|bingbot|slurp|java|wget|curl|Commons-HttpClient|Python-urllib|libwww|httpunit|nutch|phpcrawl|msnbot|jyxobot|FAST-WebCrawler|FAST Enterprise Crawler|biglotron|teoma|convera|seekbot|gigablast|exabot|ngbot|ia_archiver|GingerCrawler|webmon |httrack|webcrawler|grub.org|UsineNouvelleCrawler|antibot|netresearchserver|speedy|fluffy|bibnum.bnf|findlink|msrbot|panscient|yacybot|AISearchBot|IOI|ips-agent|tagoobot|MJ12bot|dotbot|woriobot|yanga|buzzbot|mlbot|yandexbot|purebot|Linguee Bot|Voyager|CyberPatrol|voilabot|baiduspider|citeseerxbot|spbot|twengabot|postrank|turnitinbot|scribdbot|page2rss|sitebot|linkdex|Adidxbot|blekkobot|ezooms|dotbot|Mail.RU_Bot|discobot|heritrix|findthatfile|europarchive.org|NerdByNature.Bot|sistrix crawler|ahrefsbot|Aboundex|domaincrawler|wbsearchbot|summify|ccbot|edisterbot|seznambot|ec2linkfinder|gslfbot|aihitbot|intelium_bot|facebookexternalhit|yeti|RetrevoPageAnalyzer|lb-spider|sogou|lssbot|careerbot|wotbox|wocbot|ichiro|DuckDuckBot|lssrocketcrawler|drupact|webcompanycrawler|acoonbot|openindexspider|gnam gnam spider|web-archive-net.com.bot|backlinkcrawler|coccoc|integromedb|content crawler spider|toplistbot|seokicks-robot|it2media-domain-crawler|ip-web-crawler.com|siteexplorer.info|elisabot|proximic|changedetection|blexbot|arabot|WeSEE:Search|niki-bot|CrystalSemanticsBot|rogerbot|360Spider|psbot|InterfaxScanBot|Lipperhey SEO Service|CC Metadata Scaper|g00g1e.net|GrapeshotCrawler|urlappendbot|brainobot|fr-crawler|binlar|SimpleCrawler|Livelapbot|Twitterbot|cXensebot|smtbot|bnf.fr_bot|A6-Indexer|ADmantX|Facebot|Twitterbot|OrangeBot|memorybot|AdvBot|MegaIndex|SemanticScholarBot|ltx71|nerdybot|xovibot|BUbiNG|Qwantify|archive.org_bot|Applebot|TweetmemeBot|crawler4j|findxbot|SemrushBot|yoozBot|lipperhey|y!j-asr|Domain Re-Animator Bot|AddThis|yandex/i", 'i');
      
      function _add_gtm_code(continent_code) {
        window.dataLayer = (Object.keys(window).indexOf('dataLayer') > -1) ? window.dataLayer : [];
        window.dataLayer.push({
          'gdpr': continent_code
        });
        if (typeof(gs.gtm_dl_event) !== 'undefined' || gs.gtm_dl_event !== "") {
          window.dataLayer.push({'event': gs.gtm_dl_event});
        }
        (function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
        new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
        })(window,document,'script','dataLayer',gs.gtm_container);
      }

      if (!re.test(navigator.userAgent) && !Cookies.get('c_code')) {
        var response = $.ajax({
          url: "/ajax/continent", success: function (result) {
            window.cookieconsent.initialise({
              palette: {
                popup: {
                  background: gs.background_color,
                },
                button: {
                  background: gs.button_color,
                }
              },
              position: gs.pop_up_position,
              content: {
                message: gs.pop_up_msg,
                dismiss: 'Close',
                link: gs.link_text,
                href: gs.privacy_policy_link
              }
            });
            if (gs.cookie_activate === 1) {
              Cookies.set('c_code', result['c_code'], { expires: parseInt(gs.cookie_duration) });              
            }
            _add_gtm_code(result['c_code']);
          }
        });
      } 
      else {
        _add_gtm_code(Cookies.get('c_code'));
      }
    }
  };
}(jQuery));
